# Class AsyncLocalStorage

- Defined in packages/saltcorn-data/mobile-mocks/node/async_hooks.ts:1

##### Index

### Constructors

constructor

### Methods

getStore
run

## Constructors

### constructor

- new AsyncLocalStorage(): AsyncLocalStorage

  #### Returns AsyncLocalStorage

  - Defined in packages/saltcorn-data/mobile-mocks/node/async_hooks.ts:2

## Methods

### getStore

- getStore(): undefined

  #### Returns undefined

  - Defined in packages/saltcorn-data/mobile-mocks/node/async_hooks.ts:4

### run

- run(store: any, callback: () => any): any

  #### Parameters

  - store: any
  - callback: () => any

  #### Returns any

  - Defined in packages/saltcorn-data/mobile-mocks/node/async_hooks.ts:8